GET/v3/live/vendorgraphics/product-catalog/categories
Fetch product categories
Returns product categories with cursor-based pagination, sorted deterministically by category ID. Maximum of 250 categories per page.
Query parameters
- cursorstringOptionalCursor for pagination. Use the cursor value from the previous response to get more results.
- limitinteger (int32)OptionalMaximum number of results to return (default: 100, max: 250)
- Headers
x-api-keyRequired · API key for authentication
Response
- categoriesobject[]List of product categories
- categoryHierarchyobject[]Category hierarchy from the top-level category down to this one, which is always the last entry
- descriptionstringCategory description
- idstringAggKnowledge category ID
- namestringCategory name
- cursorstringCursor for pagination. Use this value as the cursor parameter in the next request to get more results.